var imagefiles = ["0001.jpg", "0002.jpg", "0003.jpg", "0004.jpg", "0005.jpg", "0006.jpg", "0007.jpg", "0008.jpg", "0009.jpg"];
var iwidth = 500;	/* image幅 */
var iheight = 375;	/* inage高さ */
var col = 2;	/* 画像リスト・カラム数 */
var row =  Math.floor((imagefiles + 1) / col);	/* 画像リスト行数 */
var timeout = 5000;	/* 5秒ごとに切り替え */
var animation_duration = 2500;	/* 2.5秒間エフェトクト効果による表示切り替え */
var easing_mode = 'easeOutBack';
var easings = ["linear", "swing", "jswing", "easeInQuad", "easeOutQuad", "easeInOutQuad", "easeInCubic", "easeOutCubic", "easeInOutCubic", "easeInQuart", "easeOutQuart", "easeInOutQuart", "easeInQuint", "easeOutQuint", "easeInOutQuint", "easeInSine", "easeOutSine", "easeInOutSine", "easeInExpo", "easeOutExpo", "easeInOutExpo", "easeInCirc", "easeOutCirc", "easeInOutCirc", "easeInElastic", "easeOutElastic", "easeInOutElastic", "easeInBack", "easeOutBack", "easeInOutBack", "easeInBounce", "easeOutBounce", "easeInOutBounce"];

/** 画像をセットする */
function setHtmlStrings(elemid, sentence) {
	$(elemid).empty();
	$(elemid).html(sentence);
}

/* ウィンドウ・画像初期化 */
function initImageList() {
	var wpx = iwidth + 'px';
	var hpx = iheight + 'px';

	var htmlstr = '';
	var i = 0;
	for(i = 0; i < imagefiles.length; i++) {
		htmlstr = htmlstr + '<li class="imagebox"><img src="images/' + imagefiles[i] + '" alt="image ' + i + '"/></li>';
	}
	setHtmlStrings("#slideshow", htmlstr);

	$("#window").css("width", wpx);
	$("#window").css("height", hpx);
	$(".imagebox").css("width", wpx);
	$(".imagebox").css("height", hpx);

	wpx = (iwidth * col) + 'px';
	hpx = (iheight * row) + 'px';
	$("#slideshow").css("width", wpx);
	$("#slideshow").css("height", hpx);
}

$(document).ready(function(){
	var i = 0;
	var currentimageid = 0;
	var leftpos = 0;
	var k = 0;
	initImageList();

	$.timer(timeout, function (timer) {
		
		if(leftpos == 0) leftpos = -iwidth;
		else leftpos = 0;
		var j = Math.floor((i + 1) / 2);
		if(i == (imagefiles.length - 1)) {
			toppos = 0;
			leftpos = 0;
		}
		else toppos = -iheight * j;
		
		var leftpx = leftpos + 'px';
		var toppx = toppos + 'px'; 

		easing_mode = easings[k];

		$("#slideshow").stop().animate({left: leftpx, top: toppx}, {easing: easing_mode, duration: animation_duration});

		i++;
		if(i == imagefiles.length) i = 0;
		
		k++;
		if(k == easings.length) k = 0;
	});

});
